function cameraPosition(obj,event)
	{
	var xmlObj=document.all[currentScene]
	position=xmlObj.nodeFromID(event).text
	SpacePlayer.UpdateXMLNodeAttr("dragCamera","targetPoint",position)
	}
	
function cameraRotation(obj,event)
	{
	var xmlObj=document.all[currentScene]
	str=xmlObj.nodeFromID(event).text
	str=str.split(' ')
	
	theta+=parseFloat(str[0])
	phi+=parseFloat(str[1])
	
	if (phi>phiMax) phi = phiMax; 
	if (phi<phiMin) phi = phiMin; 
	
	var dragCamera=xmlObj.nodeFromID("dragCamera")
	var p=makePointFromString(dragCamera.getAttribute("targetPoint"))
	
	scaleFactor=Math.sqrt((p.x*p.x)+(p.z*p.z)+(p.y*p.y))
	
	
	rotation=sphericalRotatePoint(Deg2Rad(theta),Deg2Rad(phi))
	
	position=scalePoint(rotation, scaleFactor, scaleFactor, scaleFactor)
	
	strPos=position.x+' '+position.y+' '+position.z
	
	SpacePlayer.UpdateXMLNodeAttr("dragCamera","targetPoint",strPos)
	}

var phiLimit = 0.9 * Math.PI/2;

function cameraMove(obj,event)
	{


	var xmlObj=document.all[currentScene]
	camera=xmlObj.nodeFromID("camera")
	dragCamera=xmlObj.nodeFromID("dragCamera")
	
//	position=makePointFromString(SpacePlayer.GetAttribute('dragCamera','targetPoint'));
//	targetPoint=makePointFromString(SpacePlayer.GetAttribute('camera','targetPoint'));
	targetPoint=makePointFromString(camera.getAttribute("targetPoint"));
	position=makePointFromString(dragCamera.getAttribute("targetPoint"));

	var p = new Point(position.x - targetPoint.x, position.y - targetPoint.y, position.z - targetPoint.z);
	distance=Math.sqrt(p.x*p.x+p.y*p.y+p.z*p.z)
	p=scalePoint(p, 1/distance, 1/distance, 1/distance)

	phi = Math.asin(p.y) ;
	
	cosPhi = Math.cos(phi);
	if (Math.abs(cosPhi) < 0.00001) {
		cosPhi = 0.00001;
	}
	tmp = p.z/cosPhi;
	if (tmp <= -1) {
		tmp = -0.99999;
	} else if (tmp >= 1) {
		tmp = 0.99999;
	}		
	theta = Math.acos(tmp);
	if (p.x < 0) {
		theta = -theta;
    }
	
	switch (event)
		{
		case "fwd":
			if (distance>distanceMin) {distance -= distanceFactor}
			break
			
		case "bwd":
			if (distance<distanceMax) {distance += distanceFactor}
			break
			
		case "arrowRight":
		case "padRight":
			theta += Deg2Rad(10)
			break
			
		case "arrowLeft":
		case "padLeft":
			theta -= Deg2Rad(10)
			break
			
		case "arrowUp":
		case "padUp":
			newPhi = phi + Deg2Rad(10)
			if (newPhi < phiLimit && newPhi < Deg2Rad(phiMax)) phi = newPhi;
			break
			
		case "arrowDown":
		case "padDown":
			newPhi = phi - Deg2Rad(10)
			if (newPhi > -phiLimit && newPhi > Deg2Rad(phiMin)) phi = newPhi;
			break
			
		case "mirrorView":
			position.x *= -1
			position.y *= -1
			position.z *= -1
			SpacePlayer.UpdateXMLNodeAttr("dragCamera","intensity","5")
			break
		}
		
		position=sphericalRotatePoint(theta,phi)
		position=scalePoint(position, distance, distance, distance)
		dragCamera.setAttribute("targetPoint",position.x+" "+position.y+" "+position.z);		
		SpacePlayer.UpdateXMLNodeAttr("dragCamera","targetPoint",position.x+" "+position.y+" "+position.z)
		rotateLegend(Rad2Deg(theta),-Rad2Deg(phi))
		//label.innerText="Rotation ( Theta=" + Rad2Deg(theta) + " Phi=" + Rad2Deg(phi) + " ) Distance (" + distance +")"
	}	